Magick++: Magick::DrawableRectangle Class Reference

Magick++ 7.1.0

Public Member Functions | List of all members
Magick::DrawableRectangle Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::DrawableRectangle:
[legend]
Collaboration diagram for Magick::DrawableRectangle:
[legend]

## Public Member Functions
| DrawableRectangle (double upperLeftX_, double upperLeftY_, double lowerRightX_, double lowerRightY_)
| ~DrawableRectangle (void)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | upperLeftX (double upperLeftX_)
double | upperLeftX (void) const
void | upperLeftY (double upperLeftY_)
double | upperLeftY (void) const
void | lowerRightX (double lowerRightX_)
double | lowerRightX (void) const
void | lowerRightY (double lowerRightY_)
double | lowerRightY (void) const
Public Member Functions inherited from Magick::DrawableBase
| DrawableBase (void)
virtual | ~DrawableBase (void)

## Detailed Description

Definition at line 1401 of file Drawable.h.

## Constructor & Destructor Documentation

## ◆ DrawableRectangle()

Magick::DrawableRectangle::DrawableRectangle | ( | double | upperLeftX_,
|  | double | upperLeftY_,
|  | double | lowerRightX_,
|  | double | lowerRightY_
| ) |  |
| inline

Definition at line 1404 of file Drawable.h.

## ◆ ~DrawableRectangle()

Magick::DrawableRectangle::~DrawableRectangle | ( | void |  | ) |

Definition at line 1076 of file Drawable.cpp.

## Member Function Documentation

## ◆ copy()

Magick::DrawableBase * Magick::DrawableRectangle::copy | ( |  | ) | const
| virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1085 of file Drawable.cpp.

## ◆ lowerRightX() [1/2]

void Magick::DrawableRectangle::lowerRightX | ( | double | lowerRightX_ | ) |
| inline

Definition at line 1438 of file Drawable.h.

## ◆ lowerRightX() [2/2]

double Magick::DrawableRectangle::lowerRightX | ( | void |  | ) | const
| inline

Definition at line 1442 of file Drawable.h.

## ◆ lowerRightY() [1/2]

void Magick::DrawableRectangle::lowerRightY | ( | double | lowerRightY_ | ) |
| inline

Definition at line 1447 of file Drawable.h.

## ◆ lowerRightY() [2/2]

double Magick::DrawableRectangle::lowerRightY | ( | void |  | ) | const
| inline

Definition at line 1451 of file Drawable.h.

## ◆ operator()()

void Magick::DrawableRectangle::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const
| virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1080 of file Drawable.cpp.

## ◆ upperLeftX() [1/2]

void Magick::DrawableRectangle::upperLeftX | ( | double | upperLeftX_ | ) |
| inline

Definition at line 1420 of file Drawable.h.

## ◆ upperLeftX() [2/2]

double Magick::DrawableRectangle::upperLeftX | ( | void |  | ) | const
| inline

Definition at line 1424 of file Drawable.h.

## ◆ upperLeftY() [1/2]

void Magick::DrawableRectangle::upperLeftY | ( | double | upperLeftY_ | ) |
| inline

Definition at line 1429 of file Drawable.h.

## ◆ upperLeftY() [2/2]

double Magick::DrawableRectangle::upperLeftY | ( | void |  | ) | const
| inline

Definition at line 1433 of file Drawable.h.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp